<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcDamage Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcDamage Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcDamage" --><!-- doxytag: inherits="iBase" -->
<p>This is a property class for damage emitting.  
 <a href="structiPcDamage.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="damage_8h_source.html">propclass/damage.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcDamage:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcDamage.png" usemap="#iPcDamage_map" alt=""/>
  <map id="iPcDamage_map" name="iPcDamage_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,76,24"/>
</map>
 </div></div>

<p><a href="structiPcDamage-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a859696cf5c2cab762ced30c78855ff56">AreaDamage</a> (float radius)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Do area damage.  <a href="#a859696cf5c2cab762ced30c78855ff56"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#af7b751c8aec2168c5efed873d8d33b1c">BeamDamage</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;direction, float maxdist)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Do beam damage.  <a href="#af7b751c8aec2168c5efed873d8d33b1c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a8b197964e726cf696f36c39a5252a1e0">GetDamage</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the amount of damage.  <a href="#a8b197964e726cf696f36c39a5252a1e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a4ee0556af53982c22e23583b2cce8ef5">GetDamagePosition</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the source position for the damage (only if explicitly set).  <a href="#a4ee0556af53982c22e23583b2cce8ef5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#ae67a3d33b3d9fde7de7ea24f0392bd95">GetDamageSector</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the source sector for the damage (only if explicitly set).  <a href="#ae67a3d33b3d9fde7de7ea24f0392bd95"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a7e2d0fe3e5a0326bf028fdb40fc26dbb">GetDamageSource</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the source name for the damage.  <a href="#a7e2d0fe3e5a0326bf028fdb40fc26dbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#af503349584bd773703fbfdd1bd89a14d">GetDamageType</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of damage.  <a href="#af503349584bd773703fbfdd1bd89a14d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#aacb49bf0a2a8d67b8abfdc0a5ffb8458">GetFallOff</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the damage falloff.  <a href="#aacb49bf0a2a8d67b8abfdc0a5ffb8458"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#af6059197dbcbd10bb767510a67b26bb8">SetDamage</a> (float amount)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the amount of damage.  <a href="#af6059197dbcbd10bb767510a67b26bb8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#ad54cd2cc86197763b45b9f6977ef558c">SetDamageLocation</a> (const char *sectorname, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the source location for the damage.  <a href="#ad54cd2cc86197763b45b9f6977ef558c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a16630497b6af52911410609bb92a564a">SetDamageSource</a> (const char *source)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the source name for the damage.  <a href="#a16630497b6af52911410609bb92a564a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a70aa3120b257e09c48d78a4ee3c44cc3">SetDamageType</a> (const char *type)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the type of damage.  <a href="#a70aa3120b257e09c48d78a4ee3c44cc3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#a72925693bd06f1577f20854f7d385753">SetFallOff</a> (const char *f)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the damage falloff ('constant', 'normal', or 'linear').  <a href="#a72925693bd06f1577f20854f7d385753"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcDamage.html#ac1873aef7000611516b3864ad4c5840b">SingleDamage</a> (const char *target)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Do single damage.  <a href="#ac1873aef7000611516b3864ad4c5840b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class for damage emitting. </p>
<p>Attach this property class to entities that can cause damage to other entities. Causing damage is basically a matter of sending a message to the affected entities. The affecting entity will have to handle the damage in whatever way is appropriate.</p>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.damage.hurt' (old 'pcdamage_hurt'): damage has been done. Parameters: amount (float: amount of damage), source (string: name of source entity), sector (string: name of source sector), position (vector3: origin of damage), type (string: type of damage, application dependend).</li>
</ul>
<p>This property class supports the following actions (add prefix 'cel.damage.action.' if you want to access this action through a message):</p>
<ul>
<li>AreaDamage: 'radius' (float: default very large). In case of 'normal' falloff this is actually ignored.</li>
<li>BeamDamage: 'direction' (vector3), 'maxdist' (float: default very large). In case of 'normal' falloff the maxdist is ignored.</li>
<li>SingleDamage: 'target' (string: name of target entity).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>amount (float, read/write): amount of damage to do.</li>
<li>type (string, read/write): application dependend type of damage to do.</li>
<li>sector (string, read/write): optional sector where the damage originates. If not given this will be obtained from the optionally attached pcmesh.</li>
<li>position (vector3, read/write): optional vector where the damage originates. If not given this will be obtained from the optionally attached pcmesh.</li>
<li>falloff (string, read/write): one of 'constant', 'normal', 'linear'. </li>
</ul>

<p>Definition at line <a class="el" href="damage_8h_source.html#l00059">59</a> of file <a class="el" href="damage_8h_source.html">damage.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a859696cf5c2cab762ced30c78855ff56"></a><!-- doxytag: member="iPcDamage::AreaDamage" ref="a859696cf5c2cab762ced30c78855ff56" args="(float radius)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#a859696cf5c2cab762ced30c78855ff56">iPcDamage::AreaDamage</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Do area damage. </p>

</div>
</div>
<a class="anchor" id="af7b751c8aec2168c5efed873d8d33b1c"></a><!-- doxytag: member="iPcDamage::BeamDamage" ref="af7b751c8aec2168c5efed873d8d33b1c" args="(const csVector3 &amp;direction, float maxdist)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#af7b751c8aec2168c5efed873d8d33b1c">iPcDamage::BeamDamage</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>direction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maxdist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Do beam damage. </p>

</div>
</div>
<a class="anchor" id="a8b197964e726cf696f36c39a5252a1e0"></a><!-- doxytag: member="iPcDamage::GetDamage" ref="a8b197964e726cf696f36c39a5252a1e0" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcDamage.html#a8b197964e726cf696f36c39a5252a1e0">iPcDamage::GetDamage</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the amount of damage. </p>

</div>
</div>
<a class="anchor" id="a4ee0556af53982c22e23583b2cce8ef5"></a><!-- doxytag: member="iPcDamage::GetDamagePosition" ref="a4ee0556af53982c22e23583b2cce8ef5" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a>&amp; <a class="el" href="structiPcDamage.html#a4ee0556af53982c22e23583b2cce8ef5">iPcDamage::GetDamagePosition</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the source position for the damage (only if explicitly set). </p>

</div>
</div>
<a class="anchor" id="ae67a3d33b3d9fde7de7ea24f0392bd95"></a><!-- doxytag: member="iPcDamage::GetDamageSector" ref="ae67a3d33b3d9fde7de7ea24f0392bd95" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcDamage.html#ae67a3d33b3d9fde7de7ea24f0392bd95">iPcDamage::GetDamageSector</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the source sector for the damage (only if explicitly set). </p>

</div>
</div>
<a class="anchor" id="a7e2d0fe3e5a0326bf028fdb40fc26dbb"></a><!-- doxytag: member="iPcDamage::GetDamageSource" ref="a7e2d0fe3e5a0326bf028fdb40fc26dbb" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcDamage.html#a7e2d0fe3e5a0326bf028fdb40fc26dbb">iPcDamage::GetDamageSource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the source name for the damage. </p>

</div>
</div>
<a class="anchor" id="af503349584bd773703fbfdd1bd89a14d"></a><!-- doxytag: member="iPcDamage::GetDamageType" ref="af503349584bd773703fbfdd1bd89a14d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcDamage.html#af503349584bd773703fbfdd1bd89a14d">iPcDamage::GetDamageType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the type of damage. </p>

</div>
</div>
<a class="anchor" id="aacb49bf0a2a8d67b8abfdc0a5ffb8458"></a><!-- doxytag: member="iPcDamage::GetFallOff" ref="aacb49bf0a2a8d67b8abfdc0a5ffb8458" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcDamage.html#aacb49bf0a2a8d67b8abfdc0a5ffb8458">iPcDamage::GetFallOff</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the damage falloff. </p>

</div>
</div>
<a class="anchor" id="af6059197dbcbd10bb767510a67b26bb8"></a><!-- doxytag: member="iPcDamage::SetDamage" ref="af6059197dbcbd10bb767510a67b26bb8" args="(float amount)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#af6059197dbcbd10bb767510a67b26bb8">iPcDamage::SetDamage</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>amount</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the amount of damage. </p>

</div>
</div>
<a class="anchor" id="ad54cd2cc86197763b45b9f6977ef558c"></a><!-- doxytag: member="iPcDamage::SetDamageLocation" ref="ad54cd2cc86197763b45b9f6977ef558c" args="(const char *sectorname, const csVector3 &amp;pos)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#ad54cd2cc86197763b45b9f6977ef558c">iPcDamage::SetDamageLocation</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sectorname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the source location for the damage. </p>
<p>If this is not given then this property class will try to find the attached pcmesh. </p>

</div>
</div>
<a class="anchor" id="a16630497b6af52911410609bb92a564a"></a><!-- doxytag: member="iPcDamage::SetDamageSource" ref="a16630497b6af52911410609bb92a564a" args="(const char *source)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#a16630497b6af52911410609bb92a564a">iPcDamage::SetDamageSource</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the source name for the damage. </p>
<p>If not set it is sent as the name of the entity setting the damage. </p>

</div>
</div>
<a class="anchor" id="a70aa3120b257e09c48d78a4ee3c44cc3"></a><!-- doxytag: member="iPcDamage::SetDamageType" ref="a70aa3120b257e09c48d78a4ee3c44cc3" args="(const char *type)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#a70aa3120b257e09c48d78a4ee3c44cc3">iPcDamage::SetDamageType</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the type of damage. </p>

</div>
</div>
<a class="anchor" id="a72925693bd06f1577f20854f7d385753"></a><!-- doxytag: member="iPcDamage::SetFallOff" ref="a72925693bd06f1577f20854f7d385753" args="(const char *f)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#a72925693bd06f1577f20854f7d385753">iPcDamage::SetFallOff</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>f</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the damage falloff ('constant', 'normal', or 'linear'). </p>
<p>'normal' is default. </p>

</div>
</div>
<a class="anchor" id="ac1873aef7000611516b3864ad4c5840b"></a><!-- doxytag: member="iPcDamage::SingleDamage" ref="ac1873aef7000611516b3864ad4c5840b" args="(const char *target)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcDamage.html#ac1873aef7000611516b3864ad4c5840b">iPcDamage::SingleDamage</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Do single damage. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="damage_8h_source.html">damage.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
